Bug 1731570 - [RFE] Add ability to monitor the progress of 'hammer repository upload-content ...'
Summary: [RFE] Add ability to monitor the progress of 'hammer repository upload-conten...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Tasos Papaioannou
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-19 19:43 UTC by gtaylor
Modified: 2021-01-19 21:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-19 21:34:49 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description gtaylor 2019-07-19 19:43:08 UTC
1. Proposed title of this feature request  
[RFE] Add ability to monitor the progress of 'hammer repository upload-content ...'
  
2. Who is the customer behind the request? See private comment. 
  
3. What is the nature and description of the request?  
When a Satellite admin uploads a file with hammer to a product/repo, there isn't a way to monitor progress.  
  
4. Why does the customer need this? (List the business requirements here)  
"Whenever we upload a file larger than 1GB via GUI, we're redirected to use the hammer cli instead so we'd like to know if there's a progress bar for this to know how much time is remaining or how much is already uploaded."  
  
5. How would the customer like to achieve this? (List the functional requirements here)  
A progress indicator that can be turned on with an option.  Or a task id is returned that can be monitored. 

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  
STEPS TO TEST:
Download a sufficiently large file/package that will take some time while uploading while you look around on GUI too:
# wget --progress=bar  -O CentOS-7-x86_64-LiveGNOME-1804.iso http://mirror.it.ubc.ca/centos/7/isos/x86_64/CentOS-7-x86_64-LiveKDE-1810.iso

Create Product
# hammer product create --name testprod --organization acme

Create Repo
# hammer repository create --name repo_centos --product prod_centos --organization acme --content-type file

Upload Package
# hammer repository upload-content --product 'prod_centos' --name repo_centos --organization acme --path ./CentOS-7-x86_64-LiveGNOME-1804.iso

Actual results:
No indicator on the command line that anything is happening.  Could be uploading, could be hung. 


Expected results:
A progress indicator that can be turned on with an option.  Or a task id is returned that can be monitored. 

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
No
  
8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL6, RHEL7)?  
No  

9. Is the sales team involved in this request and do they have any additional input?  
No
  
10. List any affected packages or components.  
hammer  

11. Would the customer be able to assist in testing this functionality if implemented?
yes

Comment 4 Mike McCune 2020-12-09 22:18:25 UTC
Upon review of our valid but aging backlog the Satellite Team has concluded that this Bugzilla does not meet the criteria for a resolution in the near term, and are planning to close in approximately a month. If you have any concerns about this, please contact your Red Hat Account team.  Thank you.

Comment 5 Mike McCune 2021-01-19 21:27:49 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and while we recognize that it is a valid request, we do not expect this to be implemented in the product in the foreseeable future. This is due to other priorities for the product, and not a reflection on the request itself. We are therefore closing this out as WONTFIX. If you have any concerns about this, please do not reopen. Instead, feel free to contact your Red Hat Account Team. Thank you.


Note You need to log in before you can comment on or make changes to this bug.